import * as React from "react";
import { Image } from "@components/Image";
import type { Story } from "@ladle/react";

interface SliderConfigProps {
  caption?: string;
  subCaption?: string;
  tag?: string;
}

export const ImageSliderStory: Story<SliderConfigProps> = ({
  caption,
  subCaption,
  tag,
}: SliderConfigProps) => (
  <div style={{ maxWidth: "600px" }}>
    <Image
      key={"abc123"}
      img={"https://picsum.photos/id/102/400/300"}
      subCaption={subCaption}
      caption={caption}
      tag={tag}
    />
  </div>
);

ImageSliderStory.args = {
  caption: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed interdum viverra iaculis. Sed efficitur tortor sit amet justo mollis ullamcorper. Pellentesque scelerisque eu massa vitae ornare. Donec sollicitudin dui ac ipsum dignissim faucibus. Etiam ac pulvinar mi, fringilla iaculis neque. Pellentesque egestas diam sed felis commodo porta.",
  subCaption: "Source: test.com",
  tag: "This is a tag",
};

export default {
  title: "Atoms",
};
ImageSliderStory.storyName = "Image";
