import * as React from "react";
import type { Story } from "@ladle/react";
import { VerticalNewsCard } from "@components/VerticalNewsCard";
import { INews } from "@interfaces/INews";
import { Color } from "@interfaces/INews";

const news: INews = {
  id: 2,
  title: "Lorem ipsum dolor sit amet consectetur adipiscing",
  description:
    "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque nunc lectus, lobortis ut justo et, tempus fermentum purus",
  image: {
    alt: "news-1",
    src: "https://picsum.photos/id/103/600/600",
  },
  date: "2020-01-01",
  category: {
    id: 2,
    title: "News",
    href: "#",
  },
  time: "SA., 13. Juli, 11:00",
  location: "Neues Amt Altona",
  href: "#",
  type: "light",
  externalTitle: "LOREM IPSUM",
};

const news2: INews = {
  id: 2,
  title: "Lorem ipsum dolor sit amet consectetur adipiscing",
  description:
    "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque nunc lectus, lobortis ut justo et, tempus fermentum purus",
  image: {
    alt: "news-1",
    src: "https://picsum.photos/id/103/600/600",
  },
  date: "2020-01-01",
  category: {
    id: 2,
    title: "News",
    href: "#",
  },
  time: "SA., 13. Juli, 11:00",
  location: "Neues Amt Altona",
  href: "#",
  type: "dark",
  externalTitle: "LOREM IPSUM",
};

interface VerticalNewsCardConfigProps {
  customColorCode: Color;
  textColor: "dark" | "light";
}

export const VerticalNewsCardStory: Story<VerticalNewsCardConfigProps> = ({
  customColorCode,
  textColor,
}: VerticalNewsCardConfigProps) => {
  return (
    <div className="mx-auto my-0 grid grid-cols-2 gap-6 md:gap-10 pb-8 pr-6">
      <VerticalNewsCard
        image={news.image}
        title={news.title}
        description={news.description}
        time={news.time}
        location={news.location}
        category={news.category}
        href={news.href}
        type={news.type}
        customBackgroundColor={customColorCode}
        textColor={textColor}
      />

      <VerticalNewsCard
        image={news.image}
        title={news.title}
        description={news.description}
        time={news.time}
        location={news.location}
        category={news.category}
        href={news.href}
        type={news.type}
      />

      <VerticalNewsCard
        image={news2.image}
        title={news2.title}
        description={news2.description}
        time={news2.time}
        location={news2.location}
        category={news2.category}
        href={news2.href}
        type={news2.type}
      />

      <VerticalNewsCard
        image={news2.image}
        title={news2.title}
        description={news2.description}
        time={news2.time}
        location={news2.location}
        category={news2.category}
        href={news2.href}
        type={news2.type}
        customBackgroundColor={customColorCode}
        textColor={textColor}
      />

      <VerticalNewsCard
        image={news.image}
        title={news.title}
        description={news.description}
        time={news.time}
        location={news.location}
        category={news.category}
        href={news.href}
        type={news.type}
        externalTitle={news.externalTitle}
        newTab
      />

      <VerticalNewsCard
        image={news2.image}
        title={news2.title}
        description={news2.description}
        time={news2.time}
        location={news2.location}
        category={news2.category}
        href={news2.href}
        type={news2.type}
        externalTitle={news2.externalTitle}
        newTab
      />
    </div>
  );
};

VerticalNewsCardStory.args = {
  customColorCode: "#fcba03",
};

VerticalNewsCardStory.argTypes = {
  textColor: {
    options: ["dark", "light"],
    control: { type: "select" },
    defaultValue: "dark",
  },
};

export default {
  title: "Molecules",
};

VerticalNewsCardStory.storyName = "Vertical News Card";
