import * as React from "react";
import { YoutubeEmbed } from "@components/YoutubeEmbed";
import type { Story } from "@ladle/react";

interface YoutubeEmbedConfigProps {
  embedId: string;
  width: 500 | 600 | 700 | 800 | 900 | "full";
}

export const YoutubeEmbedStory: Story<YoutubeEmbedConfigProps> = ({
  embedId,
  width,
}: YoutubeEmbedConfigProps) => (
  <div className="container">
    <h4 className="text-lg font-bold mb-4">Youtube Embed</h4>
    <YoutubeEmbed embedId={embedId} width={width} />
  </div>
);

export default {
  title: "Molecules",
};

YoutubeEmbedStory.args = {
  embedId: "sX7zWRswT-o",
};

YoutubeEmbedStory.argTypes = {
  width: {
    options: [500, 600, 700, 800, 900, "full"],
    control: { type: "select" },
    defaultValue: 500,
  },
};

YoutubeEmbedStory.storyName = "Youtube Embed";
