import * as React from "react";
import { HorizontalCardListView } from "@components/HorizontalCardListView";
import { NEWS } from "@common/constants";
import { INews } from "@interfaces/INews";
const TAGS: Array<{ target?: string; title: string }> = [
  { title: "Category 1", target: "#section1" },
  { title: "Category 2", target: "#section2" },
  { title: "Category 3", target: "#section3" },
  { title: "Category 4", target: "#section4" },
  { title: "Category 5", target: "#section5" },
  { title: "Category 6", target: "#section6" },
  { title: "Category 7", target: "#section7" },
  { title: "Category 8", target: "#section8" },
  { title: "Category 9", target: "#section9" },
  { title: "Category 10", target: "#section10" },
];

const BREADCRUMBS = [
  { title: "My Top Page" },
  { title: "Subpage", target: "/home/subpage" },
  { title: "Sub Sub Page", target: "/home/subpage" },
];

export const HorizontalCardListViewStory = () => {
  const randomTypeNews: INews[] = NEWS.map((news) => {
    const randomType = Math.floor(Math.random() * (4 - 1 + 1) + 1);
    return {
      ...news,
      type: randomType === 1 ? "light" : "dark",
    };
  });
  return (
    <HorizontalCardListView
      title="News"
      subtitle="Hey here goes the subtitle"
      titleImage="https://picsum.photos/id/1026/1600/900"
      cards={randomTypeNews}
      tags={TAGS}
      breadcrumbs={BREADCRUMBS}
      imageTag="@Copyright"
    />
  );
};

export default {
  title: "Organisms",
};

HorizontalCardListViewStory.storyName = "Horizontal Card List View";
